FreePBX | Register | Issues | Wiki | Portal | Support

Yum and kernel issues


(Andy) #1

Hello!

I’ve got some problems with my FreePBX Distro. It showed me a bunch of updates, which I tried to install via the update function. Soon the updates got stucked… The system showed a repeating error message like “Another app is currently holding the yum lock; waiting for it to exit… The other application is: yum”. I then googled the error (I’m not good at Linux) and tried to kill the process via the PID. It didn’t work. After having killed all the shown processes, yum didn’t find any updates.

Today I have rebooted my system (VMware ESXi 6.5) and i ran into a kernel panic. I think, the unfinished updates have broken something essential. I finally could boot my system by selecting an other kernel on startup. It is now running again, but yum still doesn’t find any updates!

Can you please help me to get that resolved? There now is a broken kernel and there are no updates available. “yum update” always tells me, there are no updates…

Thank you very much in advance!


(Andrew Nagy) #2

yum reinstall kernel

Then reboot and you should be able to use the new kernel


(Andy) #3

Hi Andrew!

Thanks for your help! 've just tried that out…

[root@telanla ~]# yum reinstall kernel
Loaded plugins: fastestmirror, versionlock
Existing lock /var/run/yum.pid: another copy is running as pid 103550.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory :  23 M RSS (353 MB VSZ)
    Started: Sun May  5 20:11:57 2019 - 00:01 ago
    State  : Sleeping, pid: 103550

Sorry, I’m a little embarrased, I’m really not a Linux guy


(Andrew Nagy) #4

You just logged in. Wait for background yum to finish


(Andy) #5

Ah, okay…

I gave it a try again. Now it aborts with following message:

[root@telanla ~]# yum reinstall kernel
Loaded plugins: fastestmirror, versionlock
Skipping the running kernel: kernel-3.10.0-862.14.4.el7.x86_64
Loading mirror speeds from cached hostfile
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction, or "yum-complete-transaction --cleanup-only" and "yum history redo last", first to finish them. If those don't work you'll have to try removing/installing packages by hand (maybe package-cleanup can help).
--> Running transaction check
---> Package kernel.x86_64 0:3.10.0-957.10.1.el7 will be installed
--> Processing Conflict: kernel-3.10.0-957.10.1.el7.x86_64 conflicts selinux-policy-targeted < 3.13.1-201
--> Finished Dependency Resolution
Error: kernel conflicts with selinux-policy-targeted-3.13.1-192.el7_5.6.noarch
 You could try using --skip-broken to work around the problem

Should I follow the recommendation of the error message an try using --skip-broken? Or what would you suggest? I don’t want to break more, than I already have, that’s why I’m a bit cautios.


#6

I also have the same problem with 2 physical pbxes. The system proposed upgrading to kernel 3.10.0-957, but after 2 hours of yum lock, the process was interrupted and the kernel remained corrupted, the only way to restart it was to restart with kernel 3.10.0-862 and yum remove …- 957 … tells me “Error: Trying to remove “sangoma-pbx”, which is protected.”

]# yum remove kernel-3.10.0-957.10.1.el7.x86_64
Loaded plugins: fastestmirror, versionlock
Resolving Dependencies
–> Running transaction check
—> Package kernel.x86_64 0:3.10.0-957.10.1.el7 will be erased
–> Processing Dependency: kernel >= 3.10.0-957.10.1.el7 for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(___ratelimit) = 0x155f4108 for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(__check_object_size) = 0x88db9f48 for package: kmod-cciss-3.6.26-7.sng7.x86_64
–> Processing Dependency: kernel(__check_object_size) = 0x88db9f48 for package: kmod-wanpipe-7.0.25-2.sng7.x86_64
–> Processing Dependency: kernel(__check_object_size) = 0x88db9f48 for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(sme_active) = 0x7ae5ad74 for package: kmod-cciss-3.6.26-7.sng7.x86_64
–> Processing Dependency: kernel(sme_active) = 0x7ae5ad74 for package: kmod-forcedeth-0.64-6.sng7.x86_64
–> Processing Dependency: kernel(usb_alloc_coherent) = 0x46855936 for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(usb_control_msg) = 0xe90e9638 for package: kmod-wanpipe-7.0.25-2.sng7.x86_64
–> Processing Dependency: kernel(usb_free_coherent) = 0xefe7d2e2 for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(usb_init_urb) = 0x1cf8caaa for package: kmod-wanpipe-7.0.25-2.sng7.x86_64
–> Processing Dependency: kernel(usb_init_urb) = 0x1cf8caaa for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(usb_kill_urb) = 0xdae22f76 for package: kmod-wanpipe-7.0.25-2.sng7.x86_64
–> Processing Dependency: kernel(usb_reset_device) = 0x143ace2f for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(usb_submit_urb) = 0xa74beb34 for package: kmod-wanpipe-7.0.25-2.sng7.x86_64
–> Processing Dependency: kernel(usb_submit_urb) = 0xa74beb34 for package: kmod-dahdi-linux-2.11.1-52.sng7.x86_64
–> Processing Dependency: kernel(usb_unlink_urb) = 0xb85768e0 for package: kmod-wanpipe-7.0.25-2.sng7.x86_64
–> Running transaction check
—> Package kmod-cciss.x86_64 0:3.6.26-7.sng7 will be erased
—> Package kmod-dahdi-linux.x86_64 0:2.11.1-52.sng7 will be erased
–> Processing Dependency: kmod-dahdi-linux for package: freepbx-14.1-1.sng7.x86_64
–> Processing Dependency: kmod-dahdi-linux for package: dahdi-linux-2.11.1-50.sng7.x86_64
—> Package kmod-forcedeth.x86_64 0:0.64-6.sng7 will be erased
—> Package kmod-wanpipe.x86_64 0:7.0.25-2.sng7 will be erased
–> Running transaction check
—> Package dahdi-linux.x86_64 0:2.11.1-50.sng7 will be erased
–> Processing Dependency: dahdi-linux for package: dahdi-tools-2.11.1-2.sng7.x86_64
–> Processing Dependency: dahdi-linux for package: libopenr2-1.3.4-1.6.sng.x86_64
—> Package freepbx.x86_64 0:14.1-1.sng7 will be erased
–> Processing Dependency: freepbx for package: sangoma-pbx-1904-1.sng7.noarch
–> Running transaction check
—> Package dahdi-tools.x86_64 0:2.11.1-2.sng7 will be erased
—> Package libopenr2.x86_64 0:1.3.4-1.6.sng will be erased
—> Package sangoma-pbx.noarch 0:1904-1.sng7 will be erased
–> Finished Dependency Resolution
Error: Trying to remove “sangoma-pbx”, which is protected
[root@pbx


(Andrew Nagy) #7

You can’t remove a kernel.

Run: yum reinstall kernel


(Andrew Nagy) #9

You posted a completed transaction. Is there something else you need?


#10

Given the amount of errors, I still haven’t restarted the pbx, I’ll do it physically when I have access to the PC. I will post the results as soon as possible … Thank you for now.


(Andy) #11

May I recall my problem I’ve reported above, before this thread was hijacked :stuck_out_tongue_winking_eye:?

Thank you!


(Dave Burgess) #12

No.

… or …

One of these would probably be more appropriate. The big question though is where are you getting your updates from. I’m pretty sure we don’t use the selinux package, so I’m not clear why you’d have it installed, let alone be in the way of your kernel update.

Are you running a standard distro, or are you trying to roll-your-own installation?


(Andy) #13

Ok, thanks!

I’ve now tried
yum-complete-transaction --cleanup-only
yum history redo last

After that, I made a yum reinstall kernel.

This is what happens now:

[root@telanla ~]# yum reinstall kernel
Loaded plugins: fastestmirror, versionlock
Skipping the running kernel: kernel-3.10.0-862.14.4.el7.x86_64
Loading mirror speeds from cached hostfile
Resolving Dependencies
–> Running transaction check
—> Package kernel.x86_64 0:3.10.0-957.10.1.el7 will be installed
–> Processing Conflict: kernel-3.10.0-957.10.1.el7.x86_64 conflicts selinux-policy-targeted < 3.13.1-201
–> Finished Dependency Resolution
Error: kernel conflicts with selinux-policy-targeted-3.13.1-192.el7_5.6.noarch
You could try using --skip-broken to work around the problem
** Found 192 pre-existing rpmdb problem(s), ‘yum check’ output follows:
GeoIP-1.5.0-13.el7.x86_64 is a duplicate with GeoIP-1.5.0-11.el7.x86_64
alsa-lib-1.1.6-2.el7.x86_64 is a duplicate with alsa-lib-1.1.4.1-2.el7.x86_64
at-3.1.13-24.el7.x86_64 is a duplicate with at-3.1.13-23.el7.x86_64
audit-libs-2.8.4-4.el7.x86_64 is a duplicate with audit-libs-2.8.1-3.el7_5.1.x86_64
bash-4.2.46-31.el7.x86_64 is a duplicate with bash-4.2.46-30.el7.x86_64
32:bind-license-9.9.4-73.el7_6.noarch is a duplicate with 32:bind-license-9.9.4-61.el7_5.1.noarch
binutils-2.27-34.base.el7.x86_64 is a duplicate with binutils-2.27-28.base.el7_5.1.x86_64
compat-libical1-1.0.1-2.el7.x86_64 has installed conflicts libical < (‘0’, ‘3.0.0’, None): libical-1.0.1-1.el7.x86_64
coreutils-8.22-23.el7.x86_64 is a duplicate with coreutils-8.22-21.el7.x86_64
cpp-4.8.5-36.el7_6.1.x86_64 is a duplicate with cpp-4.8.5-28.el7_5.1.x86_64
crda-3.18_2018.05.31-4.el7.x86_64 is a duplicate with crda-3.13_2016.02.08-1.el7.x86_64
cryptsetup-2.0.3-3.el7.x86_64 is a duplicate with cryptsetup-1.7.4-4.el7.x86_64
cryptsetup-libs-2.0.3-3.el7.x86_64 is a duplicate with cryptsetup-libs-1.7.4-4.el7.x86_64
curl-7.29.0-51.el7.x86_64 is a duplicate with curl-7.29.0-46.el7.x86_64
1:dbus-1.10.24-13.el7_6.x86_64 is a duplicate with 1:dbus-1.10.24-7.el7.x86_64
1:dbus-libs-1.10.24-13.el7_6.x86_64 is a duplicate with 1:dbus-libs-1.10.24-7.el7.x86_64
7:device-mapper-1.02.149-10.el7_6.3.x86_64 is a duplicate with 7:device-mapper-1.02.146-4.el7.x86_64
7:device-mapper-event-libs-1.02.149-10.el7_6.3.x86_64 is a duplicate with 7:device-mapper-event-libs-1.02.146-4.el7.x86_64
7:device-mapper-libs-1.02.149-10.el7_6.3.x86_64 is a duplicate with 7:device-mapper-libs-1.02.146-4.el7.x86_64
device-mapper-multipath-0.4.9-123.el7.x86_64 is a duplicate with device-mapper-multipath-0.4.9-119.el7_5.1.x86_64
device-mapper-multipath-libs-0.4.9-123.el7.x86_64 is a duplicate with device-mapper-multipath-libs-0.4.9-119.el7_5.1.x86_64
1:dmidecode-3.1-2.el7.x86_64 is a duplicate with 1:dmidecode-3.0-5.el7.x86_64
dnsmasq-2.76-7.el7.x86_64 is a duplicate with dnsmasq-2.76-5.el7.x86_64
dosfstools-3.0.20-10.el7.x86_64 is a duplicate with dosfstools-3.0.20-9.el7.x86_64
dracut-033-554.el7.x86_64 is a duplicate with dracut-033-535.el7_5.1.x86_64
dracut-network-033-554.el7.x86_64 is a duplicate with dracut-network-033-535.el7_5.1.x86_64
e2fsprogs-libs-1.42.9-13.el7.x86_64 is a duplicate with e2fsprogs-libs-1.42.9-12.el7_5.x86_64
efibootmgr-17-2.el7.x86_64 is a duplicate with efibootmgr-15-2.el7.x86_64
efivar-libs-36-11.el7_6.1.x86_64 is a duplicate with efivar-libs-31-4.el7.x86_64
elfutils-default-yama-scope-0.172-2.el7.noarch is a duplicate with elfutils-default-yama-scope-0.170-4.el7.noarch
elfutils-libelf-0.172-2.el7.x86_64 is a duplicate with elfutils-libelf-0.170-4.el7.x86_64
elfutils-libs-0.172-2.el7.x86_64 is a duplicate with elfutils-libs-0.170-4.el7.x86_64
2:ethtool-4.8-9.el7.x86_64 is a duplicate with 2:ethtool-4.8-7.el7.x86_64
fcoe-utils-1.0.32-2.el7_6.x86_64 is a duplicate with fcoe-utils-1.0.32-1.el7.x86_64
file-5.11-35.el7.x86_64 is a duplicate with file-5.11-33.el7.x86_64
file-libs-5.11-35.el7.x86_64 is a duplicate with file-libs-5.11-33.el7.x86_64
1:findutils-4.5.11-6.el7.x86_64 is a duplicate with 1:findutils-4.5.11-5.el7.x86_64
firewalld-filesystem-0.5.3-5.el7.noarch is a duplicate with firewalld-filesystem-0.4.4.4-15.el7_5.noarch
freetype-2.8-12.el7_6.1.x86_64 is a duplicate with freetype-2.4.11-15.el7.x86_64
fribidi-1.0.2-1.el7.x86_64 is a duplicate with fribidi-0.19.4-6.el7.x86_64
fuse-2.9.2-11.el7.x86_64 is a duplicate with fuse-2.9.2-10.el7.x86_64
fuse-libs-2.9.2-11.el7.x86_64 is a duplicate with fuse-libs-2.9.2-10.el7.x86_64
gfs2-utils-3.1.10-9.el7.x86_64 is a duplicate with gfs2-utils-3.1.10-6.el7.x86_64
glib2-2.56.1-2.el7.x86_64 is a duplicate with glib2-2.54.2-2.el7.x86_64
glibc-2.17-260.el7_6.4.x86_64 is a duplicate with glibc-2.17-222.el7.x86_64
glibc-common-2.17-260.el7_6.4.x86_64 is a duplicate with glibc-common-2.17-222.el7.x86_64
glibc-headers-2.17-260.el7_6.4.x86_64 is a duplicate with glibc-headers-2.17-222.el7.x86_64
gnutls-3.3.29-9.el7_6.x86_64 is a duplicate with gnutls-3.3.26-9.el7.x86_64
gobject-introspection-1.56.1-1.el7.x86_64 is a duplicate with gobject-introspection-1.50.0-1.el7.x86_64
1:grub2-2.02-0.76.el7.centos.1.x86_64 is a duplicate with 1:grub2-2.02-0.65.el7.centos.2.x86_64
1:grub2-common-2.02-0.76.el7.centos.1.noarch is a duplicate with 1:grub2-common-2.02-0.65.el7.centos.2.noarch
1:grub2-efi-x64-2.02-0.76.el7.centos.1.x86_64 is a duplicate with 1:grub2-efi-x64-2.02-0.65.el7.centos.2.x86_64
1:grub2-pc-2.02-0.76.el7.centos.1.x86_64 is a duplicate with 1:grub2-pc-2.02-0.65.el7.centos.2.x86_64
1:grub2-pc-modules-2.02-0.76.el7.centos.1.noarch is a duplicate with 1:grub2-pc-modules-2.02-0.65.el7.centos.2.noarch
1:grub2-tools-2.02-0.76.el7.centos.1.x86_64 is a duplicate with 1:grub2-tools-2.02-0.65.el7.centos.2.x86_64
1:grub2-tools-extra-2.02-0.76.el7.centos.1.x86_64 is a duplicate with 1:grub2-tools-extra-2.02-0.65.el7.centos.2.x86_64
1:grub2-tools-minimal-2.02-0.76.el7.centos.1.x86_64 is a duplicate with 1:grub2-tools-minimal-2.02-0.65.el7.centos.2.x86_64
grubby-8.28-25.el7.x86_64 is a duplicate with grubby-8.28-23.el7.x86_64
harfbuzz-1.7.5-2.el7.x86_64 is a duplicate with harfbuzz-1.3.2-1.el7.x86_64
hwdata-0.252-9.1.el7.x86_64 is a duplicate with hwdata-0.252-8.8.el7.x86_64
icu-50.1.2-17.el7.x86_64 is a duplicate with icu-50.1.2-15.el7.x86_64
initscripts-9.49.46-1.el7.x86_64 is a duplicate with initscripts-9.49.41-1.el7_5.2.x86_64
iprutils-2.4.16.1-1.el7.x86_64 is a duplicate with iprutils-2.4.15.1-1.el7.x86_64
ipset-6.38-3.el7_6.x86_64 is a duplicate with ipset-6.29-1.el7.x86_64
ipset-libs-6.38-3.el7_6.x86_64 is a duplicate with ipset-libs-6.29-1.el7.x86_64
iptables-1.4.21-28.el7.x86_64 is a duplicate with iptables-1.4.21-24.1.el7_5.x86_64
iptables-services-1.4.21-28.el7.x86_64 is a duplicate with iptables-services-1.4.21-24.1.el7_5.x86_64
iw-4.3-2.el7.x86_64 is a duplicate with iw-4.3-1.el7.x86_64
iwl100-firmware-39.31.5.1-69.el7.noarch is a duplicate with iwl100-firmware-39.31.5.1-62.2.el7_5.noarch
1:iwl1000-firmware-39.31.5.1-69.el7.noarch is a duplicate with 1:iwl1000-firmware-39.31.5.1-62.2.el7_5.noarch
iwl105-firmware-18.168.6.1-69.el7.noarch is a duplicate with iwl105-firmware-18.168.6.1-62.2.el7_5.noarch
iwl135-firmware-18.168.6.1-69.el7.noarch is a duplicate with iwl135-firmware-18.168.6.1-62.2.el7_5.noarch
iwl2000-firmware-18.168.6.1-69.el7.noarch is a duplicate with iwl2000-firmware-18.168.6.1-62.2.el7_5.noarch
iwl2030-firmware-18.168.6.1-69.el7.noarch is a duplicate with iwl2030-firmware-18.168.6.1-62.2.el7_5.noarch
iwl3160-firmware-22.0.7.0-69.el7.noarch is a duplicate with iwl3160-firmware-22.0.7.0-62.2.el7_5.noarch
iwl3945-firmware-15.32.2.9-69.el7.noarch is a duplicate with iwl3945-firmware-15.32.2.9-62.2.el7_5.noarch
iwl4965-firmware-228.61.2.24-69.el7.noarch is a duplicate with iwl4965-firmware-228.61.2.24-62.2.el7_5.noarch
iwl5000-firmware-8.83.5.1_1-69.el7.noarch is a duplicate with iwl5000-firmware-8.83.5.1_1-62.2.el7_5.noarch
iwl5150-firmware-8.24.2.2-69.el7.noarch is a duplicate with iwl5150-firmware-8.24.2.2-62.2.el7_5.noarch
iwl6000-firmware-9.221.4.1-69.el7.noarch is a duplicate with iwl6000-firmware-9.221.4.1-62.2.el7_5.noarch
iwl6000g2a-firmware-17.168.5.3-69.el7.noarch is a duplicate with iwl6000g2a-firmware-17.168.5.3-62.2.el7_5.noarch
iwl6000g2b-firmware-17.168.5.2-69.el7.noarch is a duplicate with iwl6000g2b-firmware-17.168.5.2-62.2.el7_5.noarch
iwl6050-firmware-41.28.5.1-69.el7.noarch is a duplicate with iwl6050-firmware-41.28.5.1-62.2.el7_5.noarch
iwl7260-firmware-22.0.7.0-69.el7.noarch is a duplicate with iwl7260-firmware-22.0.7.0-62.2.el7_5.noarch
iwl7265-firmware-22.0.7.0-69.el7.noarch is a duplicate with iwl7265-firmware-22.0.7.0-62.2.el7_5.noarch
jasper-libs-1.900.1-33.el7.x86_64 is a duplicate with jasper-libs-1.900.1-31.el7.x86_64
kbd-1.15.5-15.el7.x86_64 is a duplicate with kbd-1.15.5-13.el7.x86_64
kbd-legacy-1.15.5-15.el7.noarch is a duplicate with kbd-legacy-1.15.5-13.el7.noarch
kbd-misc-1.15.5-15.el7.noarch is a duplicate with kbd-misc-1.15.5-13.el7.noarch
kernel-3.10.0-957.10.1.el7.x86_64 has installed conflicts selinux-policy-targeted < (‘0’, ‘3.13.1’, ‘201’): selinux-policy-targeted-3.13.1-192.el7_5.6.noarch
kernel-headers-3.10.0-957.10.1.el7.x86_64 is a duplicate with kernel-headers-3.10.0-862.14.4.el7.x86_64
kmod-20-23.el7.x86_64 is a duplicate with kmod-20-21.el7.x86_64
kmod-forcedeth-0.64-6.sng7.x86_64 is a duplicate with kmod-forcedeth-0.64-5.sng7.x86_64
kmod-libs-20-23.el7.x86_64 is a duplicate with kmod-libs-20-21.el7.x86_64
kmod-via-rhine-1.5.1-6.sng7.x86_64 is a duplicate with kmod-via-rhine-1.5.1-5.sng7.x86_64
kmod-via-velocity-1.15-4.sng7.x86_64 is a duplicate with kmod-via-velocity-1.15-3.sng7.x86_64
kpartx-0.4.9-123.el7.x86_64 is a duplicate with kpartx-0.4.9-119.el7_5.1.x86_64
krb5-libs-1.15.1-37.el7_6.x86_64 is a duplicate with krb5-libs-1.15.1-19.el7.x86_64
libX11-1.6.5-2.el7.x86_64 is a duplicate with libX11-1.6.5-1.el7.x86_64
libX11-common-1.6.5-2.el7.noarch is a duplicate with libX11-common-1.6.5-1.el7.noarch
libXfont-1.5.4-1.el7.x86_64 is a duplicate with libXfont-1.5.2-1.el7.x86_64
libblkid-2.23.2-59.el7_6.1.x86_64 is a duplicate with libblkid-2.23.2-52.el7_5.1.x86_64
libcdio-0.92-3.el7.x86_64 is a duplicate with libcdio-0.92-1.el7.x86_64
libcom_err-1.42.9-13.el7.x86_64 is a duplicate with libcom_err-1.42.9-12.el7_5.x86_64
libcroco-0.6.12-4.el7.x86_64 is a duplicate with libcroco-0.6.11-1.el7.x86_64
libcurl-7.29.0-51.el7.x86_64 is a duplicate with libcurl-7.29.0-46.el7.x86_64
libdrm-2.4.91-3.el7.x86_64 is a duplicate with libdrm-2.4.83-2.el7.x86_64
libfastjson-0.99.4-3.el7.x86_64 is a duplicate with libfastjson-0.99.4-2.el7.x86_64
libgcc-4.8.5-36.el7_6.1.x86_64 is a duplicate with libgcc-4.8.5-28.el7_5.1.x86_64
libgomp-4.8.5-36.el7_6.1.x86_64 is a duplicate with libgomp-4.8.5-28.el7_5.1.x86_64
libical-3.0.3-2.el7.x86_64 is a duplicate with libical-1.0.1-1.el7.x86_64
libicu-50.1.2-17.el7.x86_64 is a duplicate with libicu-50.1.2-15.el7.x86_64
libjpeg-turbo-1.2.90-6.el7.x86_64 is a duplicate with libjpeg-turbo-1.2.90-5.el7.x86_64
libmount-2.23.2-59.el7_6.1.x86_64 is a duplicate with libmount-2.23.2-52.el7_5.1.x86_64
libmspack-0.5-0.6.alpha.el7.x86_64 is a duplicate with libmspack-0.5-0.5.alpha.el7.x86_64
1:librados2-10.2.5-4.el7.x86_64 is a duplicate with 1:librados2-0.94.5-2.el7.x86_64
libreport-filesystem-2.1.11-42.el7.centos.x86_64 is a duplicate with libreport-filesystem-2.1.11-40.el7.centos.x86_64
libselinux-2.5-14.1.el7.x86_64 is a duplicate with libselinux-2.5-12.el7.x86_64
libselinux-python-2.5-14.1.el7.x86_64 is a duplicate with libselinux-python-2.5-12.el7.x86_64
libselinux-utils-2.5-14.1.el7.x86_64 is a duplicate with libselinux-utils-2.5-12.el7.x86_64
libsemanage-2.5-14.el7.x86_64 is a duplicate with libsemanage-2.5-11.el7.x86_64
libsepol-2.5-10.el7.x86_64 is a duplicate with libsepol-2.5-8.1.el7.x86_64
libss-1.42.9-13.el7.x86_64 is a duplicate with libss-1.42.9-12.el7_5.x86_64
libssh2-1.4.3-12.el7_6.2.x86_64 is a duplicate with libssh2-1.4.3-10.el7_2.1.x86_64
libstdc+±4.8.5-36.el7_6.1.x86_64 is a duplicate with libstdc+±4.8.5-28.el7_5.1.x86_64
libstdc+±devel-4.8.5-36.el7_6.1.x86_64 is a duplicate with libstdc+±devel-4.8.5-28.el7_5.1.x86_64
libtalloc-2.1.13-1.el7.x86_64 is a duplicate with libtalloc-2.1.10-1.el7.x86_64
libtirpc-0.2.4-0.15.el7.x86_64 is a duplicate with libtirpc-0.2.4-0.10.el7.x86_64
libuuid-2.23.2-59.el7_6.1.x86_64 is a duplicate with libuuid-2.23.2-52.el7_5.1.x86_64
libwayland-client-1.15.0-1.el7.x86_64 is a duplicate with libwayland-client-1.14.0-2.el7.x86_64
libwayland-server-1.15.0-1.el7.x86_64 is a duplicate with libwayland-server-1.14.0-2.el7.x86_64
libxcb-1.13-1.el7.x86_64 is a duplicate with libxcb-1.12-1.el7.x86_64
linux-firmware-20180911-69.git85c5d90.el7.noarch is a duplicate with linux-firmware-20180220-62.2.git6d51311.el7_5.noarch
lm_sensors-libs-3.4.0-6.20160601gitf9185e5.el7.x86_64 is a duplicate with lm_sensors-libs-3.4.0-4.20160601gitf9185e5.el7.x86_64
logrotate-3.8.6-17.el7.x86_64 is a duplicate with logrotate-3.8.6-15.el7.x86_64
lsof-4.87-6.el7.x86_64 is a duplicate with lsof-4.87-5.el7.x86_64
man-db-2.6.3-11.el7.x86_64 is a duplicate with man-db-2.6.3-9.el7.x86_64
mdadm-4.1-rc1_2.el7.x86_64 is a duplicate with mdadm-4.0-13.el7.x86_64
mesa-libglapi-18.0.5-4.el7_6.x86_64 is a duplicate with mesa-libglapi-17.2.3-8.20171019.el7.x86_64
mokutil-15-2.el7.centos.x86_64 is a duplicate with mokutil-12-2.el7.x86_64
mysql-connector-odbc-5.2.5-8.el7.x86_64 is a duplicate with mysql-connector-odbc-5.2.5-7.el7.x86_64
net-tools-2.0-0.24.20131004git.el7.x86_64 is a duplicate with net-tools-2.0-0.22.20131004git.el7.x86_64
2:nmap-ncat-6.40-16.el7.x86_64 is a duplicate with 2:nmap-ncat-6.40-13.el7.x86_64
nss-3.36.0-7.1.el7_6.x86_64 is a duplicate with nss-3.36.0-7.el7_5.x86_64
nss-pem-1.0.3-5.el7_6.1.x86_64 is a duplicate with nss-pem-1.0.3-4.el7.x86_64
nss-sysinit-3.36.0-7.1.el7_6.x86_64 is a duplicate with nss-sysinit-3.36.0-7.el7_5.x86_64
nss-tools-3.36.0-7.1.el7_6.x86_64 is a duplicate with nss-tools-3.36.0-7.el7_5.x86_64
nss-util-3.36.0-1.1.el7_6.x86_64 is a duplicate with nss-util-3.36.0-1.el7_5.x86_64
openjpeg-libs-1.5.1-18.el7.x86_64 is a duplicate with openjpeg-libs-1.5.1-17.el7.x86_64
openldap-2.4.44-21.el7_6.x86_64 is a duplicate with openldap-2.4.44-15.el7_5.x86_64
1:openssl-libs-1.0.2k-16.el7_6.1.x86_64 is a duplicate with 1:openssl-libs-1.0.2k-12.el7.x86_64
4:perl-5.16.3-294.el7_6.x86_64 is a duplicate with 4:perl-5.16.3-292.el7.x86_64
1:perl-Pod-Escapes-1.04-294.el7_6.noarch is a duplicate with 1:perl-Pod-Escapes-1.04-292.el7.noarch
4:perl-libs-5.16.3-294.el7_6.x86_64 is a duplicate with 4:perl-libs-5.16.3-292.el7.x86_64
4:perl-macros-5.16.3-294.el7_6.x86_64 is a duplicate with 4:perl-macros-5.16.3-292.el7.x86_64
policycoreutils-2.5-29.el7_6.1.x86_64 is a duplicate with policycoreutils-2.5-22.el7.x86_64
polkit-0.112-18.el7_6.1.x86_64 is a duplicate with polkit-0.112-14.el7.x86_64
procps-ng-3.3.10-23.el7.x86_64 is a duplicate with procps-ng-3.3.10-17.el7_5.2.x86_64
python-2.7.5-77.el7_6.x86_64 is a duplicate with python-2.7.5-69.el7_5.x86_64
python-firewall-0.5.3-5.el7.noarch is a duplicate with python-firewall-0.4.4.4-15.el7_5.noarch
python-libs-2.7.5-77.el7_6.x86_64 is a duplicate with python-libs-2.7.5-69.el7_5.x86_64
python-linux-procfs-0.4.9-4.el7.noarch is a duplicate with python-linux-procfs-0.4.9-3.el7.noarch
python-perf-3.10.0-957.10.1.el7.x86_64 is a duplicate with python-perf-3.10.0-862.14.4.el7.x86_64
python-urlgrabber-3.10-9.el7.noarch is a duplicate with python-urlgrabber-3.10-8.el7.noarch
rpm-4.11.3-35.el7.x86_64 is a duplicate with rpm-4.11.3-32.el7.x86_64
rpm-build-libs-4.11.3-35.el7.x86_64 is a duplicate with rpm-build-libs-4.11.3-32.el7.x86_64
rpm-libs-4.11.3-35.el7.x86_64 is a duplicate with rpm-libs-4.11.3-32.el7.x86_64
rpm-python-4.11.3-35.el7.x86_64 is a duplicate with rpm-python-4.11.3-32.el7.x86_64
selinux-policy-3.13.1-229.el7_6.9.noarch is a duplicate with selinux-policy-3.13.1-192.el7_5.6.noarch
selinux-policy-targeted-3.13.1-229.el7_6.9.noarch is a duplicate with selinux-policy-targeted-3.13.1-192.el7_5.6.noarch
setup-2.8.71-10.el7.noarch is a duplicate with setup-2.8.71-9.el7.noarch
2:shadow-utils-4.1.5.1-25.el7_6.1.x86_64 is a duplicate with 2:shadow-utils-4.1.5.1-24.el7.x86_64
shim-x64-15-2.el7.centos.x86_64 is a duplicate with shim-x64-12-2.el7.x86_64
system-config-keyboard-1.4.0-5.el7.noarch is a duplicate with system-config-keyboard-1.4.0-4.el7.noarch
system-config-keyboard-base-1.4.0-5.el7.noarch is a duplicate with system-config-keyboard-base-1.4.0-4.el7.noarch
systemd-219-62.el7_6.5.x86_64 is a duplicate with systemd-219-57.el7_5.3.x86_64
systemd-libs-219-62.el7_6.5.x86_64 is a duplicate with systemd-libs-219-57.el7_5.3.x86_64
systemd-sysv-219-62.el7_6.5.x86_64 is a duplicate with systemd-sysv-219-57.el7_5.3.x86_64
2:tar-1.26-35.el7.x86_64 is a duplicate with 2:tar-1.26-34.el7.x86_64
tzdata-2019a-1.el7.noarch is a duplicate with tzdata-2018f-2.el7.noarch
tzdata-java-2019a-1.el7.noarch is a duplicate with tzdata-java-2018f-2.el7.noarch
util-linux-2.23.2-59.el7_6.1.x86_64 is a duplicate with util-linux-2.23.2-52.el7_5.1.x86_64
2:vim-common-7.4.160-5.el7.x86_64 is a duplicate with 2:vim-common-7.4.160-4.el7.x86_64
2:vim-filesystem-7.4.160-5.el7.x86_64 is a duplicate with 2:vim-filesystem-7.4.160-4.el7.x86_64
2:vim-minimal-7.4.160-5.el7.x86_64 is a duplicate with 2:vim-minimal-7.4.160-4.el7.x86_64
xerces-c-3.1.1-9.el7.x86_64 is a duplicate with xerces-c-3.1.1-8.el7_2.x86_64
xfsprogs-4.5.0-19.el7_6.x86_64 is a duplicate with xfsprogs-4.5.0-15.el7.x86_64
yum-3.4.3-161.10.sng7.noarch is a duplicate with yum-3.4.3-161.9.sng7.noarch
yum-plugin-fastestmirror-1.1.31-50.el7.noarch is a duplicate with yum-plugin-fastestmirror-1.1.31-46.el7_5.noarch
yum-plugin-versionlock-1.1.31-50.el7.noarch is a duplicate with yum-plugin-versionlock-1.1.31-46.el7_5.noarch
yum-utils-1.1.31-50.el7.noarch is a duplicate with yum-utils-1.1.31-46.el7_5.noarch
zlib-1.2.7-18.el7.x86_64 is a duplicate with zlib-1.2.7-17.el7.x86_64

As I already stated - I’m not a Linux guy. So this is a standard distro. Nothing changed to the system. Maybe I’ve installed vmware-tools a while ago, but I don’t remember that exactly.


(Andrew Nagy) #14

Your system looks broken as everything that needs to be updated is marked as a conflict. I have no idea how to resolve something like that


(Dan Corwin) #15

throwing this out but maybe yum distro-sync full? See docs here: http://man7.org/linux/man-pages/man8/yum.8.html

obviously backup before hand.


(Andrew Nagy) #16

oooo thats a good idea!


(Andy) #17

It was a good idea, thank you, - but didn’t work. It showed an error message… something about a not matching kernel, or so.

I haven’t dealt with it any more. As Andrew said, there was something broken heavily on my system. No idea, how and why a “yum update” could do that. Whatever - one major advantage of VMs is there capability to do snapshots. So I made a backup of my FreePBX-Settings with “Backup & Restore”, went back to my last snapshot a month ago, did all updates via console and restored my backup to FreePBX.

Everything is running normally now.

Thank you all for your help!!!:smiley:


(system) closed #18

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.